import numpy as np
from scenario_generation.scenario_generation import ScenarioGenerator

n = 9
m = 1000
iu = np.triu_indices(9, k=1)
il = np.tril_indices(9, k=-1)
R = np.identity(9)
R[iu] = 0.5
R[il] = 0.5

mu = np.array([1.0, 2.0, 3.0]*3)
sigma = np.array([2.0, 1.0, 0.5]*3)
skew = np.array([1.0, 1.0, 2.0]*3)
kurt = np.array([5.0, 6.0, 10.0]*3)

target_moments = np.array([mu, sigma, skew, kurt])

ScenarioGenerator(n, m, target_moments, R).run()
